Skip to content

Projects

Projects: Collaborations

Projects: Resources


List Projects

GET /api/projects

OAuth authorization required: projects_read

Schema
  • projects: Array
    • id: Integer
    • name: String
    • skip_ssh: Boolean
    • current_state: String<working,alert,ok,deleting>
    • created_at: DateTime
    • updated_at: DateTime
    • container_image_ids: Array<Integer>
    • links: Hash
      • services: String (url)
      • container_images: String (url)
      • bastions: String (url)
    • metadata: Hash
      • icons: Array
      • image_names: Array

View Project

GET /api/projects/{id}

OAuth authorization required: projects_read

Schema
  • project: Object
    • id: Integer
    • name: String
    • skip_ssh: Boolean
    • current_state: String<working,alert,ok,deleting>
    • created_at: DateTime
    • updated_at: DateTime
    • container_image_ids: Array<Integer>
    • links: Hash
      • services: String (url)
      • container_images: String (url)
      • bastions: String (url)
    • metadata: Hash
      • icons: Array
      • image_names: Array

Update Project

PATCH /api/projects/{id}

OAuth authorization required: projects_write

Schema
  • project: Object
    • name: String

Delete Project

DELETE /api/projects/{id}

OAuth authorization required: projects_write